'bc' package updated

Forum member emil reported that the 'bc' maths calculator does not work properly in Wary:


The 'bc' package was compiled in T2, version 1.06 which is very old (2000) although T2 does apply a couple of patches.
I looked on the Debian site and they have version 1.06.95 plus another patch file, heaps of patches since the original 1.06.

I have compiled the package from Debian, and it works in Wary. This will be in the next release.

I have also created a 'bc' template in Woof, so that only the 'bc' executable will be included, not the 'dc' executable. Reason: 'dc' is in Busybox.

Posted on 16 Dec 2010, 15:11


Posted on 16 Dec 2010, 15:33 by emil

Did you also had a look on xgamma-gui?
I know its kind of a fringe topic, but with the current version of the gui its e.g. impossible to set darker values.


Posted on 16 Dec 2010, 15:44 by BarryK
re bc
xgamma-gui: not yet.

The fixed bc pet is here:


Note, I'm in holiday-mode right now, in Melbourne. I am doing a little bit of Puppy-work, but not very attentive to posts -- I might need to be reminded after I get home!

Posted on 16 Dec 2010, 16:57 by emil
Of course :), it's really not urgent...
I might be back for a reminder next year.

It's good that you take a relaxed pace!
Thank you for your great work -
nice holidays and merry christmas to you and your family from Austria to Australia